{ config, lib, pkgs, ... }:
let
  cfg = config.sbruder.gpu.intel;
in
{
  options.sbruder.gpu.intel.enable = lib.mkEnableOption "intel gpu configuration";

  config = lib.mkIf cfg.enable {
    hardware.opengl.extraPackages = with pkgs; [
      beignet
      vaapiIntel
    ];
  };
}
